Gentoo Archives: gentoo-dev-announce

From: "Andreas K. Huettel" <dilfridge@g.o>
To: gentoo-dev-announce@l.g.o, gentoo-dev@l.g.o
Subject: [gentoo-dev-announce] keywording ~sys-libs/glibc-2.26
Date: Sun, 12 Nov 2017 03:47:14
Message-Id: 1545404.MWRFALAhJB@porto
Hi all, 

in the next days I'll likely re-add keywords to glibc-2.26. So, if you haven't 
fixed your package for build failures yet, now would be the time. 

The tracker is https://bugs.gentoo.org/show_bug.cgi?id=glibc-2.26 with 
appropriate subtrackers.

1) Your package needs RPC (and already now fails to build with sys-libs/
glibc[-rpc]). 

See https://wiki.gentoo.org/wiki/Project:Toolchain/RPC_implementation for a 
detailed guide.

2) Your package uses NIS/YP functionality, and builds against / links to 
libnsl. 

Add a dependeny (DEPEND and RDEPEND):
  net-libs/libnsl:0=

You can already safely do this now ( =net-libs/libnsl-0 is a dummy, stable on 
all arches, installs no files, depends on <sys-libs/glibc-2.26 ), and as an 
additional bonus will get the subslot rebuild automagically once libnsl is 
updated. 

(The unbundled libnsl has increased soversion, libnsl.so.2. glibc will keep 
installing libnsl.so.1 as compatibility library for binary packages, but 
without headers etc.)

3) Your package needs internal data structures and fails with undefined types.

Ping me. Most likely problem and fix are already known.

Cheers, 
Andreas

-- 
Andreas K. Hüttel
dilfridge@g.o
Gentoo Linux developer 
(council, toolchain, perl, libreoffice, comrel)

Attachments

File name MIME type
signature.asc application/pgp-signature